#! /bin/bash

set -ex

# Clean output dir
rm -fr ./out

# Generate output
docker-compose build
docker-compose up

# Diff the results
diff ./out ./expected

# Modify results
echo "Modified" > ./out/test.txt

# Re-run
docker-compose up

# Verify results do differ now
diff ./out ./expected && exit 1 || echo ok
